## org.openqa.selenium.server.testgenerator
Class XlateHtmlSeleneseToJava

    java.lang.Object
      org.openqa.selenium.server.testgenerator.XlateHtmlSeleneseToJava

    public class XlateHtmlSeleneseToJava

extends java.lang.Object

Given an HTML file containing a Selenese test case, generate equivalent Java code w/ calls to the Selenium object to execute that same test case.

Author:
  nsproul

Constructor Summary
`XlateHtmlSeleneseToJava()`

Method Summary
`static void` `main(java.lang.String[] args)`
`protected static java.lang.String` `possiblyDeclare(boolean isBoolean, java.lang.String variableName)`
`protected static java.lang.String` `quote(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlateHtmlSeleneseToJava

    public XlateHtmlSeleneseToJava()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### possiblyDeclare

    protected static java.lang.String possiblyDeclare(boolean isBoolean,
                                                      java.lang.String variableName)

### quote

    protected static java.lang.String quote(java.lang.String value)

Copyright © 2009. All Rights Reserved.